Bug 141945 - Microphone input delay resp. lag.
Microphone input delay resp. lag.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-06 05:05 EST by Bruno Hertz
Modified: 2015-01-04 17:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 21:19:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Hertz 2004-12-06 05:05:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
I file this issue under gnomemeeting since I noticed it with this
application first. However, it could well be rather a sound driver or
kernel issue.

Description: microphone input lags behind for more than one second.
This can be seen with gnomemeeting, i.e. a LAN call to a netmeeting
client gives voice delays of over one second, where a XP/netmeeting
call from the same (dual boot) machine gives delays at most of 50ms,
i.e. XP/netmeeting performs way better on the same hardware.

The delay can also be observed eg via cat /dev/dsp > /dev/dsp, where
voice spoken into the mic is heard only after more than one second.

My soundcard chip is identified as Ensoniq 5880 AudioPCI running with
the corresponding Alsa driver.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Any application that processes soundcard input exhibits this
behaviour, gnomemeeting is an example.    

Additional info:
Comment 1 Bruno Hertz 2004-12-06 19:55:49 EST
Correction: all application tests I did, i.e. cat/aplay etc.,
apparently involved extensive buffering. This was pointed out to me on
the alsa mailing list. I was advised to try arecord/aplay with the
--buffer-size option, and tests with values up to 512 exhibited hardly
noticable to very little lag.

Especially, the gnomemeeting lags which initially made me investigate
the whole situation then must happen on application and not on
kernel/driver level.

To restate the original problem: with gnomemeeting <-> netmeeting
connections on LAN I get noticably more lag when voice is going
gnomemeeting -> netmeeting than in the opposite direction, that lag
amounting to about one to two seconds. According to gnomemeeting irc
this seems to be way to much delay.

I'll now try to optimize gnomemeeting settings, and depending on the
outcome this whole issue may well turn out not to be a bug. In the
meantime, I  set the report status to NEEDINFO and will hopefully come
back with a success report in a couple of days.
Comment 2 Dave Jones 2005-07-15 15:13:41 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 21:19:46 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.